﻿using NUnit.Framework;

namespace RESTController
{
    /// <remarks>
    /// Values have been set in App.config. Obviously, if the values are changed in
    /// configuration, then the unit tests will fail.
    ///   allowJsonGet: true
    ///   pageSize: 10
    /// </remarks>
    [TestFixture]
    public class RestControllerSettingsTests
    {
        [Test]
        public void AllowJsonGet_ReturnsExpectedValue()
        {
            var allowJsonGet = RESTControllerSettings.Settings.AllowJsonGet;
            Assert.IsTrue(allowJsonGet);
        }

        [Test]
        public void PageSize_ReturnsExpectedValue()
        {
            var pageSize = RESTControllerSettings.Settings.PageSize;
            Assert.AreEqual(10, pageSize);
        }
    }
}
